Loading...
Searching...
No Matches
XrdSutCERef Class Reference

`#include <XrdSutCacheEntry.hh>`

Collaboration diagram for XrdSutCERef:

## Public Member Functions

| XrdSutCERef ()
| ~XrdSutCERef ()
void | ReadLock (XrdSysRWLock *lock=0)
void | Set (XrdSysRWLock *lock)
void | UnLock (bool reset=true)
void | WriteLock (XrdSysRWLock *lock=0)

## Protected Attributes

XrdSysRWLock * | rwlock

## Detailed Description

Definition at line 99 of file XrdSutCacheEntry.hh.

## Constructor & Destructor Documentation

## XrdSutCERef()

XrdSutCERef::XrdSutCERef | ( |  | ) |

inline

Definition at line 122 of file XrdSutCacheEntry.hh.

: rwlock(0) {}
XrdSutCERef::rwlock
XrdSysRWLock * rwlock
Definition XrdSutCacheEntry.hh:126

References rwlock.

## ~XrdSutCERef()

XrdSutCERef::~XrdSutCERef | ( |  | ) |

inline

Definition at line 124 of file XrdSutCacheEntry.hh.

{if (rwlock) UnLock(); rwlock = 0; }
XrdSutCERef::UnLock
void UnLock(bool reset=true)
Definition XrdSutCacheEntry.hh:120

References rwlock, and UnLock().

Here is the call graph for this function:

## Member Function Documentation

## ReadLock()

void XrdSutCERef::ReadLock | ( | XrdSysRWLock * | lock = 0 | ) |

inline

Definition at line 103 of file XrdSutCacheEntry.hh.

{ if (lock) Set(lock);
rwlock->ReadLock();
};
XrdSutCERef::Set
void Set(XrdSysRWLock *lock)
Definition XrdSutCacheEntry.hh:113

References rwlock, and Set().

Here is the call graph for this function:

## Set()

void XrdSutCERef::Set | ( | XrdSysRWLock * | lock | ) |

inline

Definition at line 113 of file XrdSutCacheEntry.hh.

{if (rwlock) {if (rwlock != lock) rwlock->UnLock();
else return;
}
rwlock = lock;
};

References rwlock.

Referenced by XrdSecProtocolgsi::Authenticate(), ReadLock(), and WriteLock().

Here is the caller graph for this function:

## UnLock()

void XrdSutCERef::UnLock | ( | bool | reset = true | ) |

inline

Definition at line 120 of file XrdSutCacheEntry.hh.

{if (rwlock) {rwlock->UnLock(); if (reset) rwlock = 0; }}

References rwlock.

Referenced by ~XrdSutCERef(), XrdSecProtocolgsi::Authenticate(), and XrdSecProtocolgsi::Init().

Here is the caller graph for this function:

## WriteLock()

void XrdSutCERef::WriteLock | ( | XrdSysRWLock * | lock = 0 | ) |

inline

Definition at line 108 of file XrdSutCacheEntry.hh.

{ if (lock) Set(lock);
rwlock->WriteLock();
};

References rwlock, and Set().

Here is the call graph for this function:

## Member Data Documentation

## rwlock

XrdSysRWLock* XrdSutCERef::rwlock

protected

Definition at line 126 of file XrdSutCacheEntry.hh.

Referenced by XrdSutCERef(), ~XrdSutCERef(), ReadLock(), Set(), UnLock(), and WriteLock().

The documentation for this class was generated from the following file:

- XrdSutCacheEntry.hh